@import url("https://fonts.googleapis.com/css2?family=Raleway&display=swap");

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Raleway", sans-serif;
}

.App {
  display: flex;
  flex-direction: column;
  min-height: 100vh;
}

.header,
.footer {
  padding: 20px;
  text-align: center;
  background-color: #7382a2;
  color: whitesmoke;
}

.main {
  flex-grow: 1;
  display: flex;
}

.container {
  width: 90%;
  max-width: 1024px;
  margin: 20px auto;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  align-self: center;
}

.top_card {
  background-color: #7186b3;
  color: white;
  padding: 10px 20px;
  min-width: 400px;
}

.top_card p {
  color: #d6d6d6;
  margin-bottom: 5px;
  font-size: 0.8rem;
}

.top_card h3 {
  font-size: 2rem;
}

.form {
  background-color: #f5f5f5;
  padding: 20px;
  width: 400px;
}

.form-group {
  display: grid;
  grid-template-columns: 1fr 2fr;
  gap: 10px;
  margin-top: 10px;
  margin-bottom: 10px;
}

.radio {
  grid-template-columns: 1fr 1fr 1fr;
}

input {
  padding: 5px 10px;
}

.btn {
  width: 100%;
  border: none;
  outline: none;
  cursor: pointer;
  padding: 10px;
  background-color: #7186b3;
  color: white;
  transition: background-color 0.3s ease;
}

.btn:hover {
  background-color: #5e7ab6;
}

ul {
  list-style: none;
  width: 400px;
}

label {
  display: block;
  align-self: center;
}

.radio_group {
  display: flex;
  align-items: center;
  gap: 5px;
}

.transaction {
  margin: 10px 0;
  color: white;
  padding: 10px 15px;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.income {
  background-color: #7186b3;
}

.expense {
  background-color: #38ada9;
}

.transaction .right {
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 10px;
}

.link {
  background: none;
  color: white;
  cursor: pointer;
  outline: none;
  border: none;
  transition: color 0.3s ease;
}

.link:hover {
  color: #d1f3ff;
}

.icon {
  width: 14px;
  height: 14px;
}

.right {
  display: inline-flex;
  gap: 10;
}

.right p {
  font-size: 1.3rem;
}
.error {
  color: red;
}
.red {
  background-color: #e6425e !important;
}

.cancel_edit {
  margin-top: 10px;
  background-color: #e6425e !important;
}

.cancel_edit:hover {
  background-color: #9e1028 !important;
}

.second_heading {
  margin: 20px 0;
  text-align: left;
}

.conatiner_of_list_of_transactions ul {
  max-height: 500px;
  overflow-y: auto;
}

/* responsive design */
@media (max-width: 450px) {
  .top_card,
  .form {
    min-width: 90%;
    width: 90%;
  }

  .form-group {
    display: flex;
    flex-direction: column;
    justify-content: left;
    align-items: stretch;
  }

  label {
    align-self: flex-start;
    margin-bottom: 5px;
  }

  .conatiner_of_list_of_transactions {
    width: 90vw;
  }

  ul {
    width: 90vw;
    max-height: 100px;
    overflow-y: auto;
  }

  .transaction {
    width: 90%;
    margin: 10px auto;
  }

  * {
    font-size: 95% !important;
  }
}
